---
title: "Publish a global platform announcement"
description: "Publishes or schedules an audience-targeted announcement through the audited platform service. Requires an idempotency key.\n\n### Quire permissions\n\nRequired capability: `platform/announcements_manage`.\n\nCredential scopes: `notifications:write`.\n\nThe acting subject must also be allowed to perform this action in the organisation."
image: "https://docs.quirelms.com/og.png"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.quirelms.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Quire API › notifications

`POST /platform/announcements`

Publishes or schedules an audience-targeted announcement through the audited platform service. Requires an idempotency key.

\### Quire permissions

Required capability: `platform/announcements_manage`.

Credential scopes: `notifications:write`.

The acting subject must also be allowed to perform this action in the organisation.

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`, scopes: `notifications:write`
- `oauth2`, oauth2, scopes: `notifications:write`

## Header parameters

- `createPlatformAnnouncement.header.Idempotency-Key` (string, required) — A caller-chosen key making this request safe to retry. A replay of a completed request returns the recorded response with `Idempotency-Replayed: true`. Reusing a key for a different request is refused.
  - maxLength 255
- `createPlatformAnnouncement.header.Quire-Version` (string, optional) — The dated API revision to serve this request at. Omitted, the request is served at the revision the credential was issued against. The response echoes the revision actually applied.
  - format `date`

## Request body

_Required._

- `createPlatformAnnouncement.title` (string, required)
  - minLength 1; maxLength 120
- `createPlatformAnnouncement.body` (string, required)
  - minLength 1; maxLength 2000
- `createPlatformAnnouncement.severity` (string, required)
  - one of `"info"`, `"warning"`, `"critical"`
- `createPlatformAnnouncement.audience` (object, required)
  - `createPlatformAnnouncement.audience.plans` (array<string>, optional)
    - minLength 1; maxLength 80
  - `createPlatformAnnouncement.audience.regions` (array<string>, optional)
    - minLength 1; maxLength 80
  - `createPlatformAnnouncement.audience.tenants` (array<string>, optional)
    - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`
- `createPlatformAnnouncement.dismissible` (boolean, required)
- `createPlatformAnnouncement.starts_at` (any of, optional)
  - any of: `string`, `null`
- `createPlatformAnnouncement.ends_at` (any of, optional)
  - any of: `string`, `null`

## Example request

```json
{
  "title": "string",
  "body": "string",
  "severity": "info",
  "audience": {
    "plans": [
      "string"
    ],
    "regions": [
      "string"
    ],
    "tenants": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ]
  },
  "dismissible": true,
  "starts_at": "2019-08-24T14:15:22Z",
  "ends_at": "2019-08-24T14:15:22Z"
}
```

## Code samples

### cURL

```curl
curl --request POST \
  --url https://your-organisation.quirelms.com/api/v1/platform/announcements \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: string' \
  --data '
{
  "title": "string",
  "body": "string",
  "severity": "info",
  "audience": {
    "plans": [
      "string"
    ],
    "regions": [
      "string"
    ],
    "tenants": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ]
  },
  "dismissible": true,
  "starts_at": "2019-08-24T14:15:22Z",
  "ends_at": "2019-08-24T14:15:22Z"
}
'
```

### TypeScript

```typescript
const url = 'https://your-organisation.quirelms.com/api/v1/platform/announcements';
const options = {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json',
    'Idempotency-Key': 'string',
    Authorization: 'Bearer <token>'
  },
  body: JSON.stringify({
    title: 'string',
    body: JSON.stringify('string'),
    severity: 'info',
    audience: {
      plans: ['string'],
      regions: ['string'],
      tenants: ['497f6eca-6276-4993-bfeb-53cbbbba6f08']
    },
    dismissible: true,
    starts_at: '2019-08-24T14:15:22Z',
    ends_at: '2019-08-24T14:15:22Z'
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://your-organisation.quirelms.com/api/v1/platform/announcements"

payload = {
    "title": "string",
    "body": "string",
    "severity": "info",
    "audience": {
        "plans": ["string"],
        "regions": ["string"],
        "tenants": ["497f6eca-6276-4993-bfeb-53cbbbba6f08"]
    },
    "dismissible": True,
    "starts_at": "2019-08-24T14:15:22Z",
    "ends_at": "2019-08-24T14:15:22Z"
}
headers = {
    "Content-Type": "application/json",
    "Idempotency-Key": "string",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 201

Success.

#### Example

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
```

- `createPlatformAnnouncement.response.201.id` (string, required)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`

### 401

The credential is missing, malformed, expired or revoked.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `createPlatformAnnouncement.response.401.type` (string, required)
  - format `uri`
- `createPlatformAnnouncement.response.401.title` (string, required)
- `createPlatformAnnouncement.response.401.status` (integer, required)
- `createPlatformAnnouncement.response.401.code` (string, required)
- `createPlatformAnnouncement.response.401.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `createPlatformAnnouncement.response.401.detail` (string, required)
- `createPlatformAnnouncement.response.401.request_id` (string, required)
- `createPlatformAnnouncement.response.401.docs_url` (string, required)
  - format `uri`
- `createPlatformAnnouncement.response.401.errors` (array<object>, optional)
  - `createPlatformAnnouncement.response.401.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `createPlatformAnnouncement.response.401.errors.code` (string, required)
  - `createPlatformAnnouncement.response.401.errors.detail` (string, required)
- `createPlatformAnnouncement.response.401.retry_after` (integer | null, optional)

### 403

The credential lacks the scope this operation requires, or the acting subject lacks the capability.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `createPlatformAnnouncement.response.403.type` (string, required)
  - format `uri`
- `createPlatformAnnouncement.response.403.title` (string, required)
- `createPlatformAnnouncement.response.403.status` (integer, required)
- `createPlatformAnnouncement.response.403.code` (string, required)
- `createPlatformAnnouncement.response.403.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `createPlatformAnnouncement.response.403.detail` (string, required)
- `createPlatformAnnouncement.response.403.request_id` (string, required)
- `createPlatformAnnouncement.response.403.docs_url` (string, required)
  - format `uri`
- `createPlatformAnnouncement.response.403.errors` (array<object>, optional)
  - `createPlatformAnnouncement.response.403.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `createPlatformAnnouncement.response.403.errors.code` (string, required)
  - `createPlatformAnnouncement.response.403.errors.detail` (string, required)
- `createPlatformAnnouncement.response.403.retry_after` (integer | null, optional)

### 409

The request conflicts with the current state, with a previous use of the same idempotency key, or with a concurrent write.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `createPlatformAnnouncement.response.409.type` (string, required)
  - format `uri`
- `createPlatformAnnouncement.response.409.title` (string, required)
- `createPlatformAnnouncement.response.409.status` (integer, required)
- `createPlatformAnnouncement.response.409.code` (string, required)
- `createPlatformAnnouncement.response.409.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `createPlatformAnnouncement.response.409.detail` (string, required)
- `createPlatformAnnouncement.response.409.request_id` (string, required)
- `createPlatformAnnouncement.response.409.docs_url` (string, required)
  - format `uri`
- `createPlatformAnnouncement.response.409.errors` (array<object>, optional)
  - `createPlatformAnnouncement.response.409.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `createPlatformAnnouncement.response.409.errors.code` (string, required)
  - `createPlatformAnnouncement.response.409.errors.detail` (string, required)
- `createPlatformAnnouncement.response.409.retry_after` (integer | null, optional)

### 422

The request was understood and its content is not valid. `errors` names each field.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `createPlatformAnnouncement.response.422.type` (string, required)
  - format `uri`
- `createPlatformAnnouncement.response.422.title` (string, required)
- `createPlatformAnnouncement.response.422.status` (integer, required)
- `createPlatformAnnouncement.response.422.code` (string, required)
- `createPlatformAnnouncement.response.422.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `createPlatformAnnouncement.response.422.detail` (string, required)
- `createPlatformAnnouncement.response.422.request_id` (string, required)
- `createPlatformAnnouncement.response.422.docs_url` (string, required)
  - format `uri`
- `createPlatformAnnouncement.response.422.errors` (array<object>, optional)
  - `createPlatformAnnouncement.response.422.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `createPlatformAnnouncement.response.422.errors.code` (string, required)
  - `createPlatformAnnouncement.response.422.errors.detail` (string, required)
- `createPlatformAnnouncement.response.422.retry_after` (integer | null, optional)

### 429

A rate limit or a concurrency cap was reached. `Retry-After` says when to try again.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `createPlatformAnnouncement.response.429.type` (string, required)
  - format `uri`
- `createPlatformAnnouncement.response.429.title` (string, required)
- `createPlatformAnnouncement.response.429.status` (integer, required)
- `createPlatformAnnouncement.response.429.code` (string, required)
- `createPlatformAnnouncement.response.429.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `createPlatformAnnouncement.response.429.detail` (string, required)
- `createPlatformAnnouncement.response.429.request_id` (string, required)
- `createPlatformAnnouncement.response.429.docs_url` (string, required)
  - format `uri`
- `createPlatformAnnouncement.response.429.errors` (array<object>, optional)
  - `createPlatformAnnouncement.response.429.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `createPlatformAnnouncement.response.429.errors.code` (string, required)
  - `createPlatformAnnouncement.response.429.errors.detail` (string, required)
- `createPlatformAnnouncement.response.429.retry_after` (integer | null, optional)

### 500

Something failed at our end. Quote `request_id` when reporting it.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `createPlatformAnnouncement.response.500.type` (string, required)
  - format `uri`
- `createPlatformAnnouncement.response.500.title` (string, required)
- `createPlatformAnnouncement.response.500.status` (integer, required)
- `createPlatformAnnouncement.response.500.code` (string, required)
- `createPlatformAnnouncement.response.500.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `createPlatformAnnouncement.response.500.detail` (string, required)
- `createPlatformAnnouncement.response.500.request_id` (string, required)
- `createPlatformAnnouncement.response.500.docs_url` (string, required)
  - format `uri`
- `createPlatformAnnouncement.response.500.errors` (array<object>, optional)
  - `createPlatformAnnouncement.response.500.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `createPlatformAnnouncement.response.500.errors.code` (string, required)
  - `createPlatformAnnouncement.response.500.errors.detail` (string, required)
- `createPlatformAnnouncement.response.500.retry_after` (integer | null, optional)


Source: https://docs.quirelms.com/api/notifications/createPlatformAnnouncement/index.md
